UpsertEntity
curl --request POST \
--url https://developer.synq.io/api/entities/custom/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": {
"id": {
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
},
"name": "<string>",
"workspace": "<string>",
"typeId": 500,
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"synqPath": "<string>",
"synqCatalogUrl": "<string>",
"ids": [
{
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
}
],
"synqPaths": [
"<string>"
],
"annotations": [
{
"name": "<string>",
"values": [
"<string>"
]
}
],
"isDwhTable": true,
"isDwhView": true
}
}
'import requests
url = "https://developer.synq.io/api/entities/custom/v1/entities"
payload = { "entity": {
"id": { "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} },
"name": "<string>",
"workspace": "<string>",
"typeId": 500,
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"synqPath": "<string>",
"synqCatalogUrl": "<string>",
"ids": [{ "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} }],
"synqPaths": ["<string>"],
"annotations": [
{
"name": "<string>",
"values": ["<string>"]
}
],
"isDwhTable": True,
"isDwhView": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: {
id: {airflowDag: {integrationId: '<string>', dagId: '<string>'}},
name: '<string>',
workspace: '<string>',
typeId: 500,
description: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z',
synqPath: '<string>',
synqCatalogUrl: '<string>',
ids: [{airflowDag: {integrationId: '<string>', dagId: '<string>'}}],
synqPaths: ['<string>'],
annotations: [{name: '<string>', values: ['<string>']}],
isDwhTable: true,
isDwhView: true
}
})
};
fetch('https://developer.synq.io/api/entities/custom/v1/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.entities.custom.v1.EntitiesService
UpsertEntity
Create or update an entity. If the entity does not exist, it will be created, otherwise it will be updated. Entities are identified and deduplicated by their Identifier in a scope of a given customer workspace.
POST
/
api
/
entities
/
custom
/
v1
/
entities
UpsertEntity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
UpsertEntityRequest is the request message for the UpsertEntity method.
The entity to create or update.
Show child attributes
Show child attributes
Response
200 - application/json
Success
UpsertEntityResponse is the response message for the UpsertEntity method.
⌘I